commit:     5dcddbb5214cd29e6217edb4002be36df4d60c66
Author:     WANG Xuerui <xen0n <AT> gentoo <DOT> org>
AuthorDate: Tue Apr 26 09:40:10 2022 +0000
Commit:     WANG Xuerui <xen0n <AT> gentoo <DOT> org>
CommitDate: Tue Apr 26 09:44:43 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5dcddbb5

sys-devel/m4: fix incomplete deactivation of maintainer mode

Commit 4abfea67ec7 ("sys-devel/m4: avoid invoking autoconf") did an
incomplete job of deactivating the refresh of various files after
patching the m4 and configure part of sources; turns out dependency on
makeinfo should be avoided as well.

Tested with sys-apps/texinfo unmerged.

Fixes: 43dd58338de ("sys-devel/m4: fix build on loong")
Closes: https://bugs.gentoo.org/840984
Signed-off-by: WANG Xuerui <xen0n <AT> gentoo.org>

 sys-devel/m4/m4-1.4.19.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/sys-devel/m4/m4-1.4.19.ebuild b/sys-devel/m4/m4-1.4.19.ebuild
index e3ceb0429850..2830a3894678 100644
--- a/sys-devel/m4/m4-1.4.19.ebuild
+++ b/sys-devel/m4/m4-1.4.19.ebuild
@@ -57,7 +57,7 @@ src_prepare() {
        # touch generated files after patching m4, to avoid activating 
maintainer
        # mode
        # remove when loong-fix-build.patch is no longer necessary
-       touch ./aclocal.m4 ./lib/config.hin ./configure || die
+       touch ./aclocal.m4 ./lib/config.hin ./configure ./doc/stamp-vti || die
        find . -name Makefile.in -exec touch {} + || die
 }
 

Reply via email to